#==============================================================================
# package      DE_EPAGES::PayPalExpress::UI::LineItemPaymentPayPalExpress
# state        private
#==============================================================================
package DE_EPAGES::PayPalExpress::UI::LineItemPaymentPayPalExpress;
use base qw(DE_EPAGES::Presentation::UI::Object);

use strict;
use DE_EPAGES::Core::API::Error qw (GetError ExistsError);
use DE_EPAGES::PayPalExpress::API::Payment qw (RefundTransaction);

#========================================================================================
sub Refund {
    my $self = shift;
    my ($Servlet) = @_;

    my $pli = $Servlet->object;
    my $Form = $Servlet->form;

    my $hFieldData = {
        'Name'       => 'Amount',
        'Type'       => 'reg_money',
        'Mandatory'  => 1,
        'MinValue'   => 0,
        'MaxValue'   => $pli->get('Amount'),
        'CurrencyID' => $pli->get('CurrencyID')
    };
    my $amount;
    eval {
        $amount = $Form->field($pli, $Form->formValue('Amount'), $hFieldData);
    };
    if (ExistsError()) {
        $Form->mapFormError($hFieldData, GetError());
        $Form->executeFormError;
    }

    my ($ret, $hResult) = RefundTransaction($pli, $amount, $Form->formValue('Note'));
    if ($ret == 1) { # success
        $Servlet->vars('ResponseContent', $hResult);
    }
    else { # failed
        $Form->executeFormError({
            'Name'   => 'RefundFailed',
            'Reason' => $hResult->{'L_LONGMESSAGE0'}
        });
    }

    return;
}

1;
