#BLOCK("NewLineReplace", "")
var require = {
		#IF(#DebugLevel == 0)
		baseUrl: "#System.StoreRoot[js]/lib-min",
		#ELSE
		baseUrl: "#System.StoreRoot[js]/lib",
		#ENDIF

		shim: {
	        "backbone": {
	            deps: ["underscore", "jquery"],
	            exports: "Backbone"
	        },
	        "underscore": {
	            exports: "_"
	        },
	        "fabric": {
		        exports: "fabric"
	        },
	        "ckeditor/ckeditor": {
				exports: "CKEDITOR"
	        }
	    },

	    paths: {
        	'de_epages/externalcontent/gadgetdialog/JSONGetGadgetInformation': '#INPUT.BaseLineContentLocation' + '?ViewAction=JSONGetGadgetInformation&ObjectID=' + '#Site.ID' + '&callback=define'
    	},

		#IF(#DebugLevel == 0)
    	waitSeconds: 0,
		#ENDIF

	    config: {
	    	"ep": {
				version: '#System.EpagesVersion',
				protocolAndServer: '#ProtocolAndServer[js]',
				protocolAndServerSSL: '#ProtocolAndServerSSL[js]',
				webRoot: '#WebRoot[js]',
				storeName: '#StoreName[js]',
				storeWebRoot: '#WebRoot[js]/#StoreName[js]',
				storeRoot: '#System.StoreRoot[js]',
				storeTypeRoot: '#System.StoreRoot[js]',
				javascriptRoot: '#System.StoreRoot[js]/lib',
				siteRoot: '#Site.WebPath[js]',
				siteId: '#Site.ID',
				siteGuid: '#Site.GUID',
				iconsRoot: '#System.StoreRoot[js]/BO/icons',
				maxContentLength: #IF(#WebInterfaceConf.MAXCONTENTLENGTH) #WebInterfaceConf.MAXCONTENTLENGTH #ELSE 5120 #ENDIF,
				debugLevel: #DebugLevel[js],
				languageId: '#INPUT.LanguageID[js]',
				language: '#INPUT.Language[js]',
				locale: '#INPUT.Locale[js]',
				features: {}
				#IF(#DEFINED(#System.StaticResourceURL))
	    		, allowCORS: true
	    		#ENDIF
	    		,unity: #IF(#Shop.IsUnityRegistered == 1)true#ELSE#SPACE[0]false#ENDIF
	    		,googleMapsAPIKey: #IF(#DEFINED(#Shop.GoogleMapsAPIKey))'#Shop.GoogleMapsAPIKey'#ELSE#SPACE[0]false#ENDIF
	    		,hasFavIcon: #IF(#Shop.FavIcon)true#ELSE#SPACE[0]false#ENDIF
                , filemanager: {
                    accept: {
                        default: "*/*"        #REM "image/*,audio/*,video/*,application/pdf" #ENDREM
                        , images: "image/*"   #REM "image/*" #ENDREM
                        , media: "*/*"        #REM "image/*,audio/*,video/*,application/pdf" #ENDREM
                    }
                }
	    	},

	    	"jquery/i18n": {
		        path: 'ep/i18n',
		        region: '#INPUT.Locale'.replace(/_/,'-'),
		        currency: [
					#IF(#LENGTH(#Site.CurrencyID))'#Site.CurrencyID'#ENDIF#IF(#LENGTH(#Site.CurrencyID) AND #LENGTH(#INPUT.Currency)),#ENDIF
					#IF(#INPUT.Currency)'#INPUT.Currency'#ENDIF#IF(#User.CurrencyID AND (#LENGTH(#Site.CurrencyID) OR #LENGTH(#INPUT.Currency))),#ENDIF
					#IF(#User.CurrencyID)'#User.CurrencyID'#ENDIF
			    ]
		    },

		    "jquery/dict": {
			    region: '#INPUT.Language'
		    },

		    "jquery/metaparse": {
			    type: "data",
			    name: "js",
			    autoparse: true
		    },

		    "util/mime": {
				groups: {
					"image/*": "image/png,image/jpeg,image/jpg,image/gif,image/vnd.microsoft.icon,image/x-icon,image/x-win-bitmap",
					"document/*": "application/pdf,application/msword,application/vnd.ms-excel,application/rtf,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
					"audio/*": "audio/mpeg,audio/x-ms-wma,audio/ogg,audio/flac,audio/x-ms-wma",
					"video/*": "video/avi,video/xmsvideo,video/x-msvideo,video/xmpg2,video/mp4,video/mpeg,video/x-ms-wmv,video/x-flv"
				}
		    },

		    "util/storage": {
			    namespace: "#StoreName[0]#Site.ID"+"::"
		    }
	    }
	},

	epConfig = require.config.ep,

	CKEDITOR_BASEPATH = "#System.StoreRoot[js]/lib/ckeditor/",

	CKEDITOR_AMD_REQUIRE = function (depends) {
		for (var i in depends) {
			depends[i] = (depends[i])
				.replace(CKEDITOR.basePath, "ckeditor/")
				.replace(/(\.js(\?.*)?$)/, "");
		}

		return require.apply(require, arguments);
	};
#ENDBLOCK
