#========================================================================================
# package      DE_EPAGES::ShopCSVExportImport::API::Constants
# state        private
#----------------------------------------------------------------------------------------
# description  Constants for csv export and import
#========================================================================================
package DE_EPAGES::ShopCSVExportImport::API::Constants;
use base qw( Exporter );

use strict;
our @EXPORT_OK = qw(
    @SHOP_CSV_WARNING_CODES
    IMPORTEXPORTRUN_FILE_PATH
);
use DE_EPAGES::CSVExportImport::API::Constants;
use vars qw ( @SHOP_CSV_WARNING_CODES );

# warning codes which have to be blocked
@SHOP_CSV_WARNING_CODES = (
    @CSV_WARNING_CODES ,
    qw (
        MISSING_FIELD
        NO_MONEY_FORMAT
        NO_SHOP_CURRENCY
        NO_SHOP_LANG
        NO_SHOP_TAXMODEL
        NO_ITEMS
        NO_MAND_VALUE
        VOID_FIELD
        UNKNOWN_OBJECT
        FORBIDDEN_OBJECT
        REFERENCED_FILE_MISSING
    ),
);

# file path for saving a file for identifying running import/export processes
use constant IMPORTEXPORTRUN_FILE_PATH => "$ENV{'EPAGES_STORES'}/_IMPORTEXPORT_/";

1;
